module.exports = {
  useRelativePaths: false,
  moduleNameFormatter: ({ moduleName }) => {
    if (moduleName.startsWith('app/javascript/lib/')) {
      return moduleName.replace('app/javascript/lib/', '')
    }

    return moduleName
  },
  importStatementFormatter: function({ importStatement }) {
    return importStatement.replace(/;$/, '')
  },
  namedExports: {
    react: [
      'useState',
      'useEffect',
      'useContext',
      'useReducer',
      'useCallback',
      'useMemo',
      'useRef',
      'useImperativeMethods',
      'useLayoutEffect',
    ],
    'mobx-react-lite': [
      'observer'
    ]
  },
  aliases: {
    h: 'react-hyperscript'
  },
  excludes: [
    "./public/**"
  ]
}
