const pkgDir = require('pkg-dir'),
  rootDir = pkgDir.sync(process.cwd())

module.exports = {
  compact: true,
  presets: [
    [
      '@babel/preset-env',
      {
        useBuiltIns: 'entry',
        corejs: 3,
      },
    ],
  ],
  plugins: [
    ['@babel/plugin-transform-react-jsx'],
    ['@babel/proposal-optional-chaining'],
    ['@babel/proposal-class-properties'],
    [
      'babel-plugin-module-resolver',
      {
        root: rootDir,
        alias: {
          lib: [rootDir + '/lib', __dirname + '/lib'],
          components: rootDir + '/lib/components',
          hooks: rootDir + '/lib/hooks',
        },
      },
    ],
  ],
  ignore: [/node_modules\/(?!(fec|lodash-es))/],
}
