function buildConfig() {
  if (process.env.WEB) {
    return process.env.CONFIG
  } else {
    const { cosmiconfigSync } = require('cosmiconfig'),
      merge = require('lodash').merge,
      path = require('path'),
      pkgDir = require('pkg-dir'),
      rootDir = pkgDir.sync(process.cwd()),
      result = cosmiconfigSync(process.env.CONFIG_KEY || 'site').search(rootDir)

    return merge(
      {
        rootDir,
        srcDir: path.resolve(rootDir + '/src'),
        prePackDir: path.resolve(rootDir + '/prepack'),
        destDir: path.resolve(rootDir + '/dist'),
      },
      result?.config?.default || result?.config,
    )
  }
}

export default buildConfig()
