import { useState } from 'react'
import webpackMerge from 'webpack-merge'

function makeMergeyUpdater(replaceState) {
  return function(valuesToMerge) {
    return replaceState(state => webpackMerge(state, valuesToMerge))
  }
}

export function useMergeyState(initialState = {}) {
  const [state, replaceState] = useState(initialState)

  return [state, makeMergeyUpdater(replaceState)]
}
