import { createUseStyles } from 'react-jss'
import { omit } from 'lodash'

export function useStyles(styles, data = {}) {
  return createUseStyles(styles)(data)
}

export function useStyle(style, data = {}) {
  return createUseStyles({ className: style })(data).className
}

export function useGlobalStyles(styles, data = {}) {
  return createUseStyles({
    name: {
      '@global': omit(styles, 'root'),
      ...styles.root,
    },
  })(data).name
}
