import 'core-js/stable'

import 'regenerator-runtime/runtime'

import ReactDOM from 'react-dom'
import h from 'react-hyperscript'

ReactDOM.hydrate(h(window.Page), document.getElementById('page'))
document.getElementById('ssr-stylesheet').remove()

console.log('web runtime started')

if (process.env.DEV_SERVER) {
  const connect = function() {
    const socket = new WebSocket(
      `${location.origin.replace('http', 'ws')}/socket`,
    )

    socket.onmessage = function(event) {
      if (event.data == 'hi') console.log('socket connected')
      else if (event.data == 'reload') {
        console.log('server requested reload')
        location.reload()
      }
    }

    socket.onclose = function() {
      console.log('Socket closed')
      setTimeout(connect, 100)
    }
  }

  connect()
}
