import { dirname } from 'path'
import { promises as fs } from 'fs'

export default async function prepack(node) {
  for (const key in node.children) {
    const child = node.children[key]

    if (child.isDirectory) await prepack(child)
    else {
      const dest = child.prepackPath.replace('.html', '.js')

      await fs.mkdir(dirname(dest), { recursive: true })
      await fs.writeFile(dest, child.js)
    }
  }
}
